"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const errors_1 = require("@oclif/errors");
const default_flags_1 = require("../common/default-flags");
const default_args_1 = require("../common/default-args");
const default_examples_1 = require("../common/default-examples");
const setup_1 = require("../lib/setup");
class Setup extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Setup);
        const repo = flags.repo.split('/');
        if (repo.length != 2) {
            throw new errors_1.CLIError('Invalid repo value in flag, see -h for usage');
        }
        try {
            await setup_1.validateToken(args.token, flags.repo);
            await setup_1.getConfigs(args.token, flags.environment, flags.repo, flags.service, flags.branch);
        }
        catch (error) {
            throw error;
        }
    }
}
Setup.description = `this is used by to setup all service configs based on a strict github folder structure`;
Setup.examples = default_examples_1.defaultExample();
Setup.flags = default_flags_1.defaultFlags;
Setup.args = default_args_1.defaultArgs;
exports.default = Setup;
